Page MenuHomeFreeBSD

[NEW PORT] audio/zita-convolver: Fast, partitioned convolution engine library
ClosedPublic

Authored by ultima on Aug 11 2017, 1:03 AM.
Tags
None
Referenced Files
F78027030: D11973.diff
Mon, Feb 26, 1:44 PM
Unknown Object (File)
Jan 15 2024, 4:35 PM
Unknown Object (File)
Jan 1 2024, 2:23 PM
Unknown Object (File)
Jan 1 2024, 2:23 PM
Unknown Object (File)
Jan 1 2024, 2:23 PM
Unknown Object (File)
Jan 1 2024, 2:23 PM
Unknown Object (File)
Jan 1 2024, 2:23 PM
Unknown Object (File)
Jan 1 2024, 2:11 PM
Subscribers

Details

Summary

A C++ library implementing a real-time convolution matrix for up to 64 inputs
and outputs. It uses multiple partition sizes to provide both low delay and
efficient CPU use.

WWW: http://kokkinizita.linuxaudio.org/linuxaudio/

PR\: 221193
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 11016
Build 11401: arc lint + arc unit

Event Timeline

audio/zita-convolver/files/patch-zita-convolver.h
7–8

Hmm this could probably be changed to a reinplace_cmd. I'll fix this in a bit.

Replaced patch with reinplace_cmd

audio/zita-convolver/Makefile
21
WRKSRC_SUBDIR= libs

Changed WRKSRC --> WRKSRC_SUBDIR as suggested

This revision is now accepted and ready to land.Aug 11 2017, 8:20 AM
This revision was automatically updated to reflect the committed changes.